Bug 819067 - We should play nice with other systems that might already be using postgresql
We should play nice with other systems that might already be using postgresql
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Lukas Zapletal
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 14:09 EDT by Corey Welton
Modified: 2014-09-18 11:32 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cloudforms 1.0 requires that Cloud Engine and System Engine each be installed on a dedicated machine. The installers for each application will overwrite existing Postgres and Apache config if any exists, among other things. This issue will be addressed in a future release.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-03 05:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2012-05-04 14:09:22 EDT
Description of problem:
When katello/cfse is installed, postgres conf files (postgresql.conf, pg_hba.conf, etc.) get overwritten. This is Not Very Nice.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install postgresql on a system
2.  Modify /var/lib/pgsql/data/pg_hba.conf to have a line something like this at the bottom:
host    all         all         10.11.231.231/25      trust
3.  yum install katello-all and katello-configure --deploy="cfse"
4. View contents of pg_hba.conf 

Actual results:

File has been overwritten.

Expected results:

We should play nice with other webapps/products on the server.

Additional info:

The rationale outlined earlier as to why we reside in a subdirectory in apache (katello/, cfse/, etc.) and don't reside on webroot ("/") is that we have to reside nicely along other apps on the system.  However, brutally wiping out db config files doesn't seem to fit that rationale.
Comment 2 Jeff Weiss 2012-05-04 14:50:05 EDT
Lets see if it's in the docs already, if not I think there might be time to release note it?
Comment 3 Jeff Weiss 2012-05-04 15:32:18 EDT
http://documentation-stage.bne.redhat.com/docs/en-US/CloudForms/1.0/html/Installation_Guide/appe-uninstall.html#appe-uninstall-SystemEngine

Following the uninstall would also clobber any other app on the machine that's using httpd, postgres, tomcat, etc.

We should just say "Both the SE install and uninstall clobber things like postgres, tomcat and httpd.  You probably shouldn't attempt to run any other app on the same host."
Comment 5 Hugh Brock 2012-05-07 09:21:29 EDT
We should relnote this, but it is not a 1.0 blocker.
Comment 6 Hugh Brock 2012-05-07 09:23:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cloudforms 1.0 requires that Cloud Engine and System Engine each be installed on a dedicated machine. The installers for each application will overwrite existing Postgres and Apache config if any exists, among other things. This issue will be addressed in a future release.
Comment 11 Lukas Zapletal 2012-08-03 05:33:01 EDT
Our installer is puppet based, we rewrite pretty big bunch of configuration files in System Engine:

$ find . -name *erb
./aux/check_erb
./modules/thumbslug/templates/etc/thumbslug/thumbslug.conf.erb
./modules/postgres/templates/postgresql.conf.erb
./modules/postgres/templates/pg_hba.conf.erb
./modules/candlepin/templates/etc/candlepin/candlepin.conf.erb
./modules/candlepin/templates/etc/tomcat6/server.xml.erb
./modules/qpid/templates/etc/qpidd.conf.erb
./modules/katello/templates/etc/ldap_fluff.yml.erb
./modules/katello/templates/etc/sysconfig/katello.erb
./modules/katello/templates/etc/httpd/conf.d/katello.conf.erb
./modules/katello/templates/etc/katello/thin.yml.erb
./modules/katello/templates/etc/katello/client.conf.erb
./modules/katello/templates/etc/katello/katello.yml.erb
./modules/pulp/templates/etc/httpd/conf.d/pulp.conf.erb
./modules/pulp/templates/etc/pulp/repo_auth.conf.erb
./modules/pulp/templates/etc/pulp/pulp.conf.erb
./modules/elasticsearch/templates/etc/sysconfig/elasticsearch.erb
./modules/elasticsearch/templates/etc/elasticsearch/elasticsearch.yml.erb
./modules/certs/templates/rhsm-katello-reconfigure.erb

All those configuration files are OVERWRITTEN during katello-configuration and we can't do much about it. That is how Puppet works. We do not support third party applications on the same host. If we want, we need to extend our installer with additional configuration options.

Cloud Engine do the same (the installer is also puppet based). So once we will support installation on the same host, we will need to "merge" our receipes. But the behavior will be the same - all files get OVERWRITTEN without questions. This is how Puppet works, declarative language.

This RFE is not doable in the current installer implementation. I am closing this.

Note You need to log in before you can comment on or make changes to this bug.